/*
 * $Id: WrappedSAXException.java,v 1.2 2002/04/17 01:15:56 Bear Exp $
 *
 * Copyright 2002 Kohsuke Kawaguchi, Inc. All Rights Reserved.
 * 
 * Use is subject to license terms.
 */
package org.kohsuke.jarv.xerces;

import org.apache.xerces.xni.XNIException;
import org.xml.sax.SAXException;

/**
 * SAXException wrapped by an XNIException
 * 
 * @author Kohsuke Kawaguchi (kk@kohsuke.org)
 */
class WrappedSAXException extends XNIException
{
    WrappedSAXException( SAXException e ) {
        super(e);
    }
    
    public SAXException getSAXException() { return (SAXException)getException(); }
}
