/*
 * $Id: XercesVerifierFactoryLoader.java,v 1.1.1.1 2002/04/17 00:11:10 Bear Exp $
 *
 * Copyright 2002 Kohsuke Kawaguchi, Inc. All Rights Reserved.
 * 
 * Use is subject to license terms.
 */
package org.kohsuke.jarv.xerces;

import org.iso_relax.verifier.VerifierFactory;
import org.iso_relax.verifier.VerifierFactoryLoader;

/**
 * VerifierFactoryLoader that loads XercesVerifierFactory.
 * 
 * @author Kohsuke Kawaguchi (kk@kohsuke.org)
 */
public class XercesVerifierFactoryLoader implements VerifierFactoryLoader {
    public VerifierFactory createFactory(String schemaLanguage) {
        if(schemaLanguage.equals("http://www.w3.org/2001/XMLSchema"))
            return new XercesVerifierFactory();
        else
            return null;
    }

}
